<template>
<div class = "blue-bcg">
    <b-container>
    <b-navbar toggleable="lg" type="dark" >
        <b-navbar-brand href="#">sofiya 4uk4a</b-navbar-brand>

        <b-navbar-toggle target="nav-collapse"></b-navbar-toggle>

        <b-collapse id="nav-collapse" is-nav>
        <b-navbar-nav>
            <b-nav-item href="https://vk.com/id223681687">Link</b-nav-item>
            <b-nav-item href="#" disabled>Disabled</b-nav-item>
        </b-navbar-nav>

        <!-- Right aligned nav items -->
        <b-navbar-nav class="ml-auto">
            <b-nav-form >
            <b-form-input @input="asd" v-model = "a" size="sm" class="mr-sm-2 search" placeholder="Search" ></b-form-input>
            </b-nav-form>

            <b-nav-item-dropdown text="Lang" right>
            <b-dropdown-item href="#">EN</b-dropdown-item>
            <b-dropdown-item href="#">KZ</b-dropdown-item>
            <b-dropdown-item href="#">RU</b-dropdown-item>
            </b-nav-item-dropdown>

        </b-navbar-nav>
        </b-collapse>
    </b-navbar>
    </b-container>
</div>
</template>

<script>
export default {
    name: "Header",
    data: () => ({
        a: ""
    }),
    methods:{
        asd(a) {
            this.$emit("text", a)
        }
    }
    }

</script>

<style scoped>
.search{
    border-radius: 10px;
    border: 0px;
}
.blue-bcg{
    background-color: #0085CA;
}
</style>